﻿using System;
using System.Data;

using CMS.Base.Web.UI;
using CMS.Base.Web.UI.ActionsConfig;
using CMS.Core;
using CMS.DataEngine;
using CMS.Ecommerce;
using CMS.Ecommerce.Web.UI;
using CMS.Helpers;
using CMS.SiteProvider;


public partial class CustomFedExCarrierConfiguration : CMSEcommerceStoreSettingsPage
{
    #region "Page Events"

    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);

        GlobalObjectsKeyName = ECommerceSettings.USE_GLOBAL_CURRENCIES;

        // Check UI element
        var elementName = "CustomFedExCarrierConfiguration";
        CheckUIElementAccessHierarchical(ModuleName.ECOMMERCE, elementName);
    }


    protected void Page_Load(object sender, EventArgs e)
    {
        InitializeControls();

        // Register scripts for currency change
        ScriptHelper.RegisterDialogScript(this);
    }

    #endregion


    #region "Methods"

    /// <summary>
    /// Initialization of form controls.
    /// </summary>
    private void InitializeControls()
    {
        CurrentMaster.HeaderActions.AddAction(new SaveAction());
        CurrentMaster.HeaderActions.ActionPerformed += StoreSettingsActions_ActionPerformed;

        // Assign category, group and site ID
        SettingsGroupViewer.CategoryName = "CustomFedExCarrier";
        SettingsGroupViewer.SiteID =  SiteContext.CurrentSiteID;
    }


    /// <summary>
    /// Handles saving of configuration.
    /// </summary>
    protected override void SaveChanges()
    {
        SettingsGroupViewer.SaveChanges();
    }

    #endregion
}
